# Tintin

Tintin allows you to create fancy **plug 'n' play** documentation sites for your Haskell project very easily.

[Proceed to site](https://theam.github.io/tintin) to learn how to use Tintin.

# FAQ

## Why not just use Haddock?

Haddock provides a great interface for writing API documentation, which is a kind of *hard documentation*.
Newcomers from other languages are used to have a website per library, but sometimes this gets uncomfortable,
as maintaining a documentation website is more work for the author.

Tintin helps with this problem, as you get styling and organization for free. You just have to write your
documentation using Markdown.

The website generation is focused towards guides and tutorials, helping your users understand how to use your
package easily.

## Why not using ReadTheDocs or GitBook?

ReadTheDocs and GitBook are well established solutions for documentation, but they don't provide automatic
compilation and evaluation of Haskell code. This is error prone and can lead to confuse your users.

Tintin is tightly integrated with Haskell and its tools, helping you to document your library in a very easy
way.

# Projects using Tintin

Please submit a PR if you are using Tintin!

|λ|λ|
|-|-|
|[Tintin](https://theam.github.io/tintin)| A softer alternative to Haddock |
|[backprop](https://backprop.jle.im)| Heterogeneous automatic differentiation |
|[hedn](https://dpwiz.gitlab.io/hedn/)| EDN parsing and encoding |

# Copyright

tintin - Copyright © 2018 [Theam](http://theam.io)

